onEvent('recipes', e => {

  e.custom({
    "type": "botania:mana_infusion",
    "input": {
      "tag": 'minecraft:logs'
    },
    "output": {
      "item": 'botania:livingwood'
    },
    "mana": 500
  })

  e.custom({
    "type": "botania:mana_infusion",
    "input": {
      "item": 'minecraft:crafting_table'
    },
    "output": {
      "item": 'astralsorcery:altar_discovery'
    },
    "mana": 15000
  })

  e.custom({
    "type": "botania:mana_infusion",
    "input": {
      "tag": 'forge:stone'
    },
    "output": {
      "item": 'botania:livingrock'
    },
    "mana": 500
  })

})